# Interface TableHeaderButtonMethodOptions

interface TableHeaderButtonMethodOptions {
confirm?: boolean;
errorMessage?: string;
refresh?: boolean;
successMessage?: string;
tooltip?: string;
}

- Defined in packages/angular/material/table-system/src/lib/table-header-button/decorators.ts:9

#####
Index

### Properties

confirm?
errorMessage?
refresh?
successMessage?
tooltip?

## Properties

### `Optional` confirm

confirm?: boolean

If true, the user will be asked to confirm the action before execution.

- Defined in packages/angular/material/table-system/src/lib/table-header-button/decorators.ts:17

### `Optional` errorMessage

errorMessage?: string

The error message that will be displayed if the action fails.

- Defined in packages/angular/material/table-system/src/lib/table-header-button/decorators.ts:26

### `Optional` refresh

refresh?: boolean

If true, the table will be refreshed after the action is executed.

- Defined in packages/angular/material/table-system/src/lib/table-header-button/decorators.ts:13

### `Optional` successMessage

successMessage?: string

The success message that will be displayed if the action succeeds.

- Defined in packages/angular/material/table-system/src/lib/table-header-button/decorators.ts:31

### `Optional` tooltip

tooltip?: string

The tooltip of the action button.

- Defined in packages/angular/material/table-system/src/lib/table-header-button/decorators.ts:21